Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.client.security
Class ProxyAuthorization

    java.lang.Object
      org.mortbay.jetty.client.security.ProxyAuthorization

All Implemented Interfaces:
  Authorization

    public class ProxyAuthorization

extends java.lang.Object
implements Authorization

Sets proxy authentication headers for BASIC authentication challenges

Author:
  jesse

Constructor Summary
`ProxyAuthorization(java.lang.String username, java.lang.String password)`

Method Summary
`void` | `setCredentials(HttpExchange exchange)` BASIC proxy authentication is of the form encoded credentials are of the form: username:password

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyAuthorization

    public ProxyAuthorization(java.lang.String username,
                              java.lang.String password)
                       throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### setCredentials

    public void setCredentials(HttpExchange exchange)
                        throws java.io.IOException

  BASIC proxy authentication is of the form encoded credentials are of the form: username:password

  Specified by:
    `setCredentials` in interface `Authorization`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.